onEvent('recipes', e => {
    modifyShaped(e, 'cyclic:soulstone', 1, [
        'GTG',
        'TST',
        'GTG'], {
      G: '#forge:ingots/gold',
      T: 'minecraft:totem_of_undying',
      S: 'atmadditions:atm_star_shard'
    })
  
    removeRecipeByOutput(e, [
      'cyclic:uncrafter',
      'cyclic:tile_transporter_empty',
      'cyclic:trash'
    ])
  })